Subject: Re: linux-next: manual merge of the rdma tree with Linus' tree

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 14 Jan 2025 16:48:28 -0400

On Mon, Jan 06, 2025 at 11:13:07AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rdma tree got conflicts in:
> 
>   drivers/infiniband/sw/siw/siw_main.c
>   drivers/infiniband/sw/siw/siw_verbs.c
> 
> between commit:
> 
>   16b87037b488 ("RDMA/siw: Remove direct link to net_device")
> 
> from Linus' tree and commit:
> 
>   62f5d59d1a3d ("RDMA/siw: Remove deliver net device event")
> 
> from the rdma tree.
> 
> I fixed it up (I used the former version of siw_verbs.c and the
> superset parts of siw_main.c) 

I think we need to retain the ib_get_curr_port_state() call:

--- drivers/infiniband/sw/siw/siw_verbs.c       2025-01-14 16:37:02.023738738 -0400
+++ /home/jgg/oss/testing-k.o/drivers/infiniband/sw/siw/siw_verbs.c     2025-01-14 16:42:50.797896811 -0400
@@ -189,6 +189,7 @@
        attr->max_msg_sz = -1;
        attr->max_mtu = ib_mtu_int_to_enum(ndev->max_mtu);
        attr->active_mtu = ib_mtu_int_to_enum(READ_ONCE(ndev->mtu));
+       attr->state = ib_get_curr_port_state(ndev);
        attr->phys_state = (netif_running(ndev) && netif_carrier_ok(ndev)) ?
                IB_PORT_PHYS_STATE_LINK_UP : IB_PORT_PHYS_STATE_DISABLED;
        attr->state = attr->phys_state == IB_PORT_PHYS_STATE_LINK_UP ?

Against your tree

Thanks,
Jason